import { FieldIcon } from './icon.js';
import '@kano/styles/color.js';
import '@kano/styles/typography.js';
import '../../../elements/kc-indexed-picker.js';
export interface IItemDataResource {
    id: string;
    label: string;
    src: string;
}
export interface IItemData {
    id: string;
    label: string;
    resources: IItemDataResource[];
}
export declare class StampsField extends FieldIcon {
    private domNode;
    private label;
    private items;
    constructor(value: string, items: IItemData[], optValidator?: () => void, legacyIds?: Map<string, string>);
    render_(): void;
    showEditor_(): void;
    position(): void;
    getIcon(value: string): string;
    getDisplayText_(): string;
    getOptions(): IItemData[];
    getItemForValue(value: string): {
        id: string;
        label: string;
        src: string;
    } | null;
    getLabelFromValue(value: string): string;
    setLabel(label: string): void;
    getLabel(): string;
    static widgetDispose_(): void;
}
